sensorfw: TemperatureSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
TemperatureSensorChannel Class Reference

Sensor for accessing the internal ambient light sensor measurements. More...

`#include <temperaturesensor.h>`

Inheritance diagram for TemperatureSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | temperatureChanged (const Unsigned &value)
| Sent when a change in measured data is observed.

## Public Member Functions
Unsigned | temperature () const
| Property for accessing the measured value.

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for TemperatureSensorChannel.

## Protected Member Functions
| TemperatureSensorChannel (const QString &id)
virtual | ~TemperatureSensorChannel ()

## Properties
Unsigned | temperature

## Detailed Description

Sensor for accessing the internal ambient light sensor measurements.

Signals listeners whenever observed ambient light intensity level has changed.

Definition at line 48 of file temperaturesensor.h.

## Constructor & Destructor Documentation

## ◆ TemperatureSensorChannel()

TemperatureSensorChannel::TemperatureSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~TemperatureSensorChannel()

virtual TemperatureSensorChannel::~TemperatureSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ factoryMethod()

static AbstractSensorChannel * TemperatureSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for TemperatureSensorChannel.

Returns
  New TemperatureSensorChannel as AbstractSensorChannel*

Definition at line 60 of file temperaturesensor.h.

## ◆ start

bool TemperatureSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool TemperatureSensorChannel::stop | ( |  | ) |
| slot

## ◆ temperature()

Unsigned TemperatureSensorChannel::temperature | ( |  | ) | const
| inline

Property for accessing the measured value.

Returns
  Last measured value.

Definition at line 72 of file temperaturesensor.h.

## ◆ temperatureChanged

void TemperatureSensorChannel::temperatureChanged | ( | const Unsigned & | value | ) |
| signal

Sent when a change in measured data is observed.

Parameters

  value | Measured value.

## Property Documentation

## ◆ temperature

Unsigned TemperatureSensorChannel::temperature
| read

Definition at line 53 of file temperaturesensor.h.

The documentation for this class was generated from the following file:

- sensors/temperaturesensor/temperaturesensor.h